Re: [解決済み] Welcart0.9を使用する際、テーマ内ファイルの変更方法について

ホーム フォーラム 使い方全般 [解決済み] Welcart0.9を使用する際、テーマ内ファイルの変更方法について Re: [解決済み] Welcart0.9を使用する際、テーマ内ファイルの変更方法について

#61273

nanbu
キーマスター

こんにちは。

welcart_default/functions.php の冒頭に置かなくてはいけないコードとは、Welcart 本体が停止している時にこのfunctions.php がエラーを出してしまいWordPress が動かなくなってしまうのを防ぐための処置です。

functions.php の内容によってはエラーにならない場合も有ります。またこれはどのテーマを使った場合にも発生する可能性が有りますので、Welcart を利用する場合は必ずfunctions.php の冒頭に

if(!defined('USCES_VERSION')) return;

の一行を追加した方が無難です。

このコードの意味は、Welcart 本体が有効化されていないときは、それ以降のコードを実行しないということです。

次に、Warning の件ですが、これはXREA系のサーバーでしょうか。このWarning はセッション用のテンポラリーファイルにアクセスできないといっています。サーバーに正しい作業用ディレクトリにアクセスするよう設定が必要なのではないでしょうか。サーバー会社の方にご確認ください。